#version 120 // -*- c++ -*-
#extension GL_EXT_gpu_shader4 : require

#if __VERSION__ == 120
#   define          texelFetch texelFetch2D
#endif

uniform sampler2D myIntensity;

void main(void)
{
  ivec2 SP = ivec2(gl_FragCoord.xy);

  gl_FragColor.a = texelFetch(myIntensity,SP,0).r;
}                                                  
